-- 项目信息表
create table gen_project (
  project_id           bigint(20)      not null auto_increment    comment '项目ID',
  project_name         varchar(50)     not null                   comment '项目名称',
  package_name         varchar(100)    not null                   comment '包名',
  version             varchar(20)     not null                   comment '版本号',
  description         varchar(500)    default null               comment '项目描述',
  author              varchar(50)     not null                   comment '作者',
  front_framework     varchar(50)     not null                   comment '前端框架',
  back_framework      varchar(50)     not null                   comment '后端框架',
  status              char(1)         default '0'                comment '状态（0正常 1停用）',
  create_by           varchar(64)     default ''                 comment '创建者',
  create_time         datetime                                   comment '创建时间',
  update_by           varchar(64)     default ''                 comment '更新者',
  update_time         datetime                                   comment '更新时间',
  remark              varchar(500)    default null               comment '备注',
  primary key (project_id)
) engine=innodb auto_increment=100 comment = '项目信息表'; 